package com.miaxis.icon.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 题目图标对象 icon_info
 *
 * @author miaxis
 * @date 2022-08-01
 */
@Data
@TableName("icon_info")
@ApiModel(value = "IconInfo", description = "题目图标对象 icon_info")
public class IconInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(value = "id")
    @ApiModelProperty(value = "ID")
    private Long id;

    /** 内容 */
    @Excel(name = "内容")
    @TableField("content")
    @ApiModelProperty(value = "内容")
    private String content;

    /** 图标地址 */
    @Excel(name = "图标地址")
    @TableField("imageUrl")
    @ApiModelProperty(value = "图标地址")
    private String imageurl;

    /** 标题 */
    @Excel(name = "标题")
    @TableField("title")
    @ApiModelProperty(value = "标题")
    private String title;

    /** 类别 */
    @Excel(name = "类别")
    @TableField("category")
    @ApiModelProperty(value = "类别")
    private String category;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setContent(String content){
        this.content = content;
    }

    public String getContent(){
        return content;
    }
    public void setImageurl(String imageurl){
        this.imageurl = imageurl;
    }

    public String getImageurl(){
        return imageurl;
    }
    public void setTitle(String title){
        this.title = title;
    }

    public String getTitle(){
        return title;
    }
    public void setCategory(String category){
        this.category = category;
    }

    public String getCategory(){
        return category;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("content", getContent())
            .append("imageurl", getImageurl())
            .append("title", getTitle())
            .append("category", getCategory())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
